import 'package:auto_model/src/copy_generator.dart';
import 'package:auto_model/src/json_generator.dart';
import 'package:auto_model/src/tostring_generator.dart';
import 'package:build/build.dart';
import 'package:source_gen/source_gen.dart';

Builder jsonBuilder(BuilderOptions options) =>
    SharedPartBuilder([JsonGenerator()], 'json');

Builder copyBuilder(BuilderOptions options) =>
    SharedPartBuilder([CopyGenerator()], 'copy');

Builder toStringBuilder(BuilderOptions options) =>
    SharedPartBuilder([ToStringGenerator()], 'tostring');
